#pragma once

#include <stdint.h>
#include <stdbool.h>	// bool

#if defined(__cplusplus)
extern "C" {
#endif

/// Initialize the data capture IP core.
extern void init_data_capture(void);

/// Start the data capture.
void start_data_capture(void);

/// Is data capture in progress?
bool is_data_capture_in_progress(void);


/// Result of data capture for the given channel.
int data_capture_result(const unsigned int channel);


#if defined(__cplusplus)
}
#endif
