#include "mytime.h"


#include "xtime_l.h"

// --------------------------------------------------------------------------
uint64_t time_us(void)
{
	XTime	t = 0;
	XTime_GetTime(&t);
	return t / (COUNTS_PER_SECOND / 1000000u);
}

// --------------------------------------------------------------------------
uint64_t time_ms(void)
{
	XTime	t = 0;
	XTime_GetTime(&t);
	return t / (COUNTS_PER_SECOND / 1000u);
}

// --------------------------------------------------------------------------
void msleep(unsigned int ms)
{
	XTime tEnd, tCur;

	XTime_GetTime(&tCur);
	tEnd  = tCur + ((XTime) ms) * (COUNTS_PER_SECOND / 1000u);
	do
	{
		XTime_GetTime(&tCur);
	} while (tCur < tEnd);
}

